#!/usr/local/bin/python3

import sys
from collections import OrderedDict

print("#### 010_randomeName2otuID.py ####")

def readFasta_dict(infileNameFN):
    Infile = open(infileNameFN, "r")
    seqDictFN  = OrderedDict()
    for Line in Infile:
        Line = Line.rstrip("\n")
        if Line[0] == ">":
            Name            = Line
            seqDictFN[Name] = ""
        else:
            seqDictFN[Name] += Line
    Infile.close()
    return seqDictFN

###########################################

infileName = sys.argv[1]
#print("infileName",infileName)
seqDict = readFasta_dict(infileName)

count_A = 0
out_corresTable = open("010_out_corresTable.csv", "w")
out_fasta = open("010_out_fasta.txt", "w")
for randomeName, seq in seqDict.items():
    count_A += 1
    outID = ">ASV_" + str(count_A)

    out_corresTable.write(randomeName[1:] + "," + outID[1:] + "\n")
    out_fasta.write(outID + "\n")
    out_fasta.write(seq + "\n")

out_corresTable.close()
out_fasta.close()
